// by horex
let _modPath;

exports.initialize = (modPath, settings) =>{                     
    _modPath = modPath;
	
	exports.views = [
        {
            name: 'salazarcheats',
            viewPath: _modPath + 'view.html',
            controller: function ($rootScope) {
                /*===============================================================================================================*/
                this.addSpeed = (speedValue) =>{
                		_RootScope.settings.office.workstations.forEach(ws =>{ws.employee.speed = ws.employee.speed+speedValue})
                }
                /*===============================================================================================================*/
                this.completeInvestimentsProjects = () =>{
                    _RootScope.settings.investmentProjects = {"FusionPower":{"invested":319600000, "dailyBudget":400000, "goal":320000000}, "SolarPower":{"invested":239700000, "dailyBudget":300000, "goal":240000000}, "TidalPower":{"invested":958800000, "dailyBudget":1200000, "goal":960000000}};
                }
                /*===============================================================================================================*/
                this.unlockAllAchievements = () =>{
                    _RootScope.options.completedAchievements = ["EnjoyYourStay","Interviewer","YoureOut","IntoBlack","ASmallLoan","EmploymentMachine","Bankrupt","SmallButEfficient","SellOut","TheResearcher","Addicted","Support","TheSunIsTheFuture","DangerousFuture","TheWave","TheCollector","TheZuck","NotSoCreative","TheAverageWorker","SuperSpeed","UpperMiddleClass","BiggyShot","MisterBiggyBiggyShot","MisterWorldWide","WorldDomination","TheOverclocker","TheOverclocker","FastSupport","YouAsWell","Fireworks"]
                    _RootScope.options.completedAchievements.forEach(arc => {
                        _RootScope.options.activeAchievement = arc;
                    });                    
                }
                /*===============================================================================================================*/
                this.maxAllEfficiency = () =>{
                    _RootScope.settings.featureInstances.forEach(instance =>{instance.efficiency.current = instance.efficiency.max});
                }
                /*===============================================================================================================*/
                this.addMoney = (money) =>{
                    _RootScope.settings.balance = _RootScope.settings.balance+money;
                }
                /*===============================================================================================================*/
                this.addPoints = (points) =>{
                    _RootScope.settings.researchPoints = _RootScope.settings.researchPoints+points;
                }
                /*===============================================================================================================*/

            }
        },
        //Fim da View1

        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/

        //Inicio da View2
        {
            name: 'salazarcheats2',
            viewPath: _modPath + 'view2.html',
            controller: function ($rootScope) {
                /*===============================================================================================================*/
                this.addAllWebSitesResourceLevels = (level) =>{
                    _RootScope.settings.featureInstances.forEach(recurso =>{recurso.quality.current = recurso.quality.current+level})
                }
                /*===============================================================================================================*/
                this.addLargeServers = (serverQuantity) =>{
                    _RootScope.settings.products.forEach(site =>{
                        if(site.servers.LargeVirtualServer > 0){
                            site.servers.LargeVirtualServer = site.servers.LargeVirtualServer + serverQuantity;
                        }else{
                            site.servers.LargeVirtualServer = serverQuantity;
                        }
                    })                    
                }
                /*===============================================================================================================*/
                this.addMediumServers = (serverQuantity) =>{
                    _RootScope.settings.products.forEach(site =>{
                        if(site.servers.LargeVirtualServer > 0){
                            site.servers.LargeVirtualServer = site.servers.LargeVirtualServer + serverQuantity;
                        }else{
                            site.servers.LargeVirtualServer = serverQuantity;
                        }
                    })                    
                }
                /*===============================================================================================================*/
                this.addSmallServers = (serverQuantity) =>{
                    _RootScope.settings.products.forEach(site =>{
                        if(site.servers.LargeVirtualServer > 0){
                            site.servers.LargeVirtualServer = site.servers.LargeVirtualServer + serverQuantity;
                        }else{
                            site.servers.LargeVirtualServer = serverQuantity;
                        }
                    })                    
                }
                /*===============================================================================================================*/
                this.addAllTextAds = (cpm, gi) =>{
                    _RootScope.settings.featureInstances.forEach(instance =>{
                        if(instance.featureName == "TextAds"){
                            Object.keys(instance.timeSlots).forEach(timeSlot=>{
                                if("contract" in instance.timeSlots[timeSlot]){
                                    ts = instance.timeSlots[timeSlot];
                                    ts.contract.dailyPayment = ts.contract.dailyPayment+parseInt(cpm/30)+1;
                                    ts.contract.cpm = ts.contract.cpm+cpm;
                                    ts.contract.guaranteedImpressions = ts.contract.guaranteedImpressions+gi;
                                    ts.contract.totalPayout = ts.contract.dailyPayment*ts.contract.length*10;
                                    }
                            })
                        }
                    });
                }
                /*===============================================================================================================*/
                this.addUsersToAllWebSites = (userQuantity) =>{
                    Object.keys(_RootScope.settings.progress.products).forEach(ws =>{_RootScope.settings.progress.products[ws].users.total = _RootScope.settings.progress.products[ws].users.total + userQuantity});
                }
                /*===============================================================================================================*/
            }
        },
        //Fim da View 2
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/
        /*===============================================================================================================*/

    ]







	
	Modding.setMenuItem({
    name: 'salazarcheats',
    tooltip: "Salazar Cheats",
    tooltipPosition: 'right',
    faIcon: 'fa-user-plus',
    badgeCount: 1 ,
	});

    Modding.setMenuItem({
    name: 'salazarcheats2',
    tooltip: "Salazar Cheats",
    tooltipPosition: 'right',
    faIcon: 'fa-user-plus',
    badgeCount: 2 ,
    });
};

exports.onLoadGame = settings => {
	
};

exports.onNewHour = settings => {
	
};
// by horex